Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## cascading.tap
Enum BaseTemplateTap.Counters

    java.lang.Object
      java.lang.Enum<BaseTemplateTap.Counters>
          cascading.tap.BaseTemplateTap.Counters

All Implemented Interfaces:
  Serializable, Comparable<BaseTemplateTap.Counters>

Enclosing class:
  BaseTemplateTap<Config,Output>

    public static enum BaseTemplateTap.Counters

extends Enum<BaseTemplateTap.Counters>

Enum Constant Summary
`Path_Purges`
`Paths_Closed`
`Paths_Opened`

Method Summary
`static BaseTemplateTap.Counters` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BaseTemplateTap.Counters[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Paths_Opened

    public static final BaseTemplateTap.Counters Paths_Opened

### Paths_Closed

    public static final BaseTemplateTap.Counters Paths_Closed

### Path_Purges

    public static final BaseTemplateTap.Counters Path_Purges

Method Detail

### values

    public static BaseTemplateTap.Counters[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BaseTemplateTap.Counters c : BaseTemplateTap.Counters.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BaseTemplateTap.Counters valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.